﻿using IdentityServer.Domain.Entities;
using IdentityServer.Domain.Models;
using System.Threading.Tasks;

namespace IdentityServer.Domain.Repositories
{
    public interface IIdentityRepository
    {
        Task<AppUser> GetUser(string userName, string password);
        Task UpdateUserAfterAuthentication(AppUser user, Token token);
    }
}
