﻿using System;
using System.Collections.Generic;

namespace IdentityServer.Domain.Entities
{
    public class AppUser
    {
        public int UserId { get; set; }
        public string UserName { get; set; }
        public string Password { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }
        public string ProfilePictureUrl { get; set; }
        public string SecurityStamp { get; set; }
        public int StatusId { get; set; }
        public DateTime CreationDate { get; set; }
        public int? FailedLoginAttempts { get; set; }
        public DateTime? LastLoginDate { get; set; }
        public DateTime? PasswordChangeDate { get; set; }
        public UserStatus Status { get; set; }
        public ICollection<UserClaim> Claims { get; set; }
    }
}
